import { INotyfStyle } from './inotyf-style';
import { Injector, ComponentFactoryResolver, ApplicationRef, ComponentRef } from '@angular/core';
export declare class DomService {
    private componentFactoryResolver;
    private appRef;
    private injector;
    constructor(componentFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, injector: Injector);
    createComponentRef(component: any): ComponentRef<any>;
    getDomElementFromComponentRef(componentRef: ComponentRef<any>): HTMLElement;
    addChild(child: HTMLElement, parent?: HTMLElement): void;
    destroyRef(componentRef: ComponentRef<any>, delay: number): void;
    setDynamicStyles(styles: INotyfStyle, componentRef: ComponentRef<any>): void;
}
