import { INotyfStyle } from './inotyf-style';
import { DomService } from './dom.service';
export declare class NotyfService {
    private domService;
    private _toastDelay;
    private _toastStyle;
    private _toastContainerStyle;
    private toastContainerElement;
    private toastContainerRef;
    private defaultSuccessMessages;
    private defaultErrorMessages;
    constructor(domService: DomService);
    success(message?: string): void;
    error(message?: string): void;
    private addToast(message, type);
    toastDelay: number;
    toastStyle: INotyfStyle;
    toastContainerStyle: INotyfStyle;
}
