import { OnInit, ElementRef, Renderer } from '@angular/core';
import { AnimationTriggerMetadata } from '@angular/animations';
export declare const flyInOut: AnimationTriggerMetadata;
export declare class ToastComponent implements OnInit {
    elementRef: ElementRef;
    renderer: Renderer;
    message: string;
    type: ToastType;
    success: boolean;
    error: boolean;
    animation: any;
    constructor(elementRef: ElementRef, renderer: Renderer);
    ngOnInit(): void;
}
export declare enum ToastType {
    Success = 0,
    Error = 1,
}
